import request from '@/utils/request'

// 查询环保处罚决定情况信息列表
export function listDecision(query) {
  return request({
    url: '/basicData/xcrEnvironmentalPenaltyDecision/findByPage',
    method: 'get',
    params: query
  })
}

// 查询环保处罚决定情况信息详细
export function getDecision(xhCodeId) {
  return request({
    url: '/basicData/xcrEnvironmentalPenaltyDecision/' + xhCodeId,
    method: 'get'
  })
}

// 新增环保处罚决定情况信息
export function addDecision(data) {
  return request({
    url: '/basicData/xcrEnvironmentalPenaltyDecision',
    method: 'post',
    data: data
  })
}

// 修改环保处罚决定情况信息
export function updateDecision(data) {
  return request({
    url: '/basicData/xcrEnvironmentalPenaltyDecision',
    method: 'put',
    data: data
  })
}

// 删除环保处罚决定情况信息
export function delDecision(xhCodeId) {
  return request({
    url: '/basicData/xcrEnvironmentalPenaltyDecision/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDecisionBatch(ids) {
  return request.post('/basicData/xcrEnvironmentalPenaltyDecision/delete',ids)
}
